Subject: Re: bug#21301: 25.0.50; Emacs Trunk: Fringe bitmaps confuse foreground/background colors.

From: Keith David Bershatsky <[email-masked]>
Date: Sat, 22 Aug 2015 16:45:10 -0700

I see the opposite -- the bitmap has a red background and the arrow itself is white.  The background of the buffer in this test is the standard white with "emacs -Q".  The test was performed with a fresh build from today.

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

In GNU Emacs 25.0.50.1 (x86_64-apple-darwin10.8.0, NS appkit-1038.36 Version 10.6.8 (Build 10K549))
 of 2015-08-22 on server.local
Repository revision: 0a3ed5f70c6025fbc2a7e3ca53f11770e4fabe61
Windowing system distributor `Apple', version 10.3.1038
Configured using:
 `configure --with-ns --without-imagemagick'

Configured features:
DBUS ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  locale-coding-system: utf-8-unix

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

At Fri, 21 Aug 2015 16:47:41 +0300,
Eli Zaretskii wrote:

> I cannot reproduce this with today's master (but I'm not on Darwin).
> E.g., evaluating the following in the *scratch* buffer
> 
>   (add-text-properties 141 142 '(display (left-fringe left-arrow warning)))
> 
> puts a light-red left-arrow on the left fringe near the beginning of
> the 3rd line; light-red is the _foreground_ color of the 'warning'
> face.  The background color of the fringe stays the same as the
> default.
> 
> Do you see something different in the above recipe from "emacs -Q"?
> 
> If you see the problem in some different recipe, please show it.
> 
> Thanks.